Loading...
Searching...
No Matches
gr::blocks::lfsr_15_1_0 Class Reference
Miscellaneous

Linear Feedback Shift Register using primitive polynomial x^15 + x + 1. More...

`#include <gnuradio/blocks/lfsr_15_1_0.h>`

## Public Member Functions

| lfsr_15_1_0 ()
void | reset ()
int | next_bit ()
int | next_byte ()

## Detailed Description

Linear Feedback Shift Register using primitive polynomial x^15 + x + 1.

Generates a maximal length pseudo-random sequence of length 2^15 - 1 bits.

## Constructor & Destructor Documentation

## lfsr_15_1_0()

gr::blocks::lfsr_15_1_0::lfsr_15_1_0 | ( |  | ) |

inline

References reset().

## Member Function Documentation

## next_bit()

int gr::blocks::lfsr_15_1_0::next_bit | ( |  | ) |

inline

Referenced by next_byte().

## next_byte()

int gr::blocks::lfsr_15_1_0::next_byte | ( |  | ) |

inline

References next_bit().

## reset()

void gr::blocks::lfsr_15_1_0::reset | ( |  | ) |

inline

Referenced by lfsr_15_1_0().

The documentation for this class was generated from the following file:

- lfsr_15_1_0.h